%define sname	ip4r

Summary:	IPv4 and IPv4 range index types for PostgreSQL
Name:		postgresql-%{sname}
Version:	1.05
Release:	9%{?dist}
License:	BSD
Group:		Applications/Databases
URL:		http://pgfoundry.org/projects/ip4r
BuildRequires:	postgresql-devel >= 8.1
Requires:	postgresql-server >= 8.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:	http://pgfoundry.org/frs/download.php/1581/%{sname}-%{version}.tar.gz
Patch0:		postgresql-ip4r-1.05-language-c.patch

%description
ip4 and ip4r are types that contain a single IPv4 address and a range of 
IPv4 addresses respectively. They can be used as a more flexible, 
indexable version of the cidr type.

%prep
%setup -q -n %{sname}-%{version}
%patch0 -p1 -b .language-c
mv README.%{sname} README

%build
make USE_PGXS=1 %{?_smp_mflags} 

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/pgsql/
install -d %{buildroot}%{_datadir}/%{name}
install -m 755 %{sname}.so %{buildroot}%{_libdir}/pgsql/%{sname}.so
install -p -m 755 %{sname}.sql %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc README
%{_datadir}/%{name}
%{_datadir}/%{name}/%{sname}*.sql
%{_libdir}/pgsql/%{sname}.so

%changelog
* Wed Sep 18 2013 Pavel Raiskup <praiskup@redhat.com> - 1.05-9
- Rebuild against PostgreSQL 9.3
- postgresql 9.2+ accepts only lowercased quoted names in LANGUAGE statement

* Mon Aug 12 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.05-7
- Use special %%doc to install docs (#994049).

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 19 2010 Devrim GÜNDÜZ <devrim@gunduz.org> - 1.05-1
- Update to 1.05.

* Mon Jul 19 2010 Devrim GÜNDÜZ <devrim@gunduz.org> - 1.03-5
- Rebuilt against PostgreSQL 8.4. Fixes	bz #615715.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec  4 2008 Michael Schwendt <mschwendt@fedoraproject.org> 1.03-2
- Include unowned doc directory.

* Fri Feb 1 2008 - Devrim GUNDUZ <devrim@commandprompt.com> 1.03-1
- Update to 1.03

* Sun Jan 20 2008 - Devrim GUNDUZ <devrim@commandprompt.com> 1.02-1
- Update to 1.02

* Mon Jul 9 2007 - Devrim GUNDUZ <devrim@commandprompt.com> 1.01-2
- Removed unneeded ldconfig calls, per bz review #246747

* Wed Jul 4 2007 - Devrim GUNDUZ <devrim@commandprompt.com> 1.01-1
- Initial RPM packaging for Fedora
